WPSParagraph Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
WPSParagraph Struct Reference

class to store the paragraph properties More...

`#include <WPSParagraph.h>`

Inheritance diagram for WPSParagraph:

## Public Types
enum | LineSpacingType { Fixed , AtLeast }
| the line spacing type: fixed or at least More...
typedef WPSList::Level | ListLevel

## Public Member Functions
| WPSParagraph ()
| constructor
| WPSParagraph (WPSParagraph const &)=default
WPSParagraph & | operator= (WPSParagraph const &)=default
virtual | ~WPSParagraph ()
void | addTo (librevenge::RVNGPropertyList &propList, bool inTable) const
| add to the propList
void | setInterline (double value, librevenge::RVNGUnit unit, LineSpacingType type=Fixed)
| set the interline

## Public Attributes
double | m_margins [3]
| the margins
double | m_spacings [3]
| the line spacing
librevenge::RVNGUnit | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ...
LineSpacingType | m_spacingsInterlineType
| the interline type: fixed, atLeast, ...
std::vector< WPSTabStop > | m_tabs
| the tabulations
libwps::Justification | m_justify
| the justification
int | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after)
int | m_listLevelIndex
| the actual level index
ListLevel | m_listLevel
| the actual level
WPSColor | m_backgroundColor
| the background color
int | m_border
| list of bits to indicated a border 1: LeftBorderBit, 2: RightBorderBit, ...
WPSBorder | m_borderStyle
| the border style
std::string | m_extra
| a string to store some errors

## Friends
std::ostream & | operator<< (std::ostream &o, WPSParagraph const &ft)
| operator <<

## Detailed Description

class to store the paragraph properties

## Member Typedef Documentation

## ◆ ListLevel

typedef WPSList::Level WPSParagraph::ListLevel

## Member Enumeration Documentation

## ◆ LineSpacingType

enum WPSParagraph::LineSpacingType

the line spacing type: fixed or at least

Enumerator
Fixed |
AtLeast |

## Constructor & Destructor Documentation

## ◆ WPSParagraph() [1/2]

WPSParagraph::WPSParagraph | ( |  | ) |
| inline

constructor

Referenced by operator<<, operator=(), MSWriteParserInternal::Paragraph::Paragraph(), and WPSParagraph().

## ◆ WPSParagraph() [2/2]

WPSParagraph::WPSParagraph | ( | WPSParagraph const & |  | ) |
| default

## ◆ ~WPSParagraph()

WPSParagraph::~WPSParagraph | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addTo()

void WPSParagraph::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | bool | inTable ) const

add to the propList

## ◆ operator=()

WPSParagraph & WPSParagraph::operator= | ( | WPSParagraph const & |  | ) |
| default

## ◆ setInterline()

void WPSParagraph::setInterline | ( | double | value,
|  | librevenge::RVNGUnit | unit,
|  | LineSpacingType | type = Fixed )
| inline

set the interline

Referenced by WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), MSWriteParser::readText(), and XYWriteParserInternal::Format::updateParagraph().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSParagraph const & | ft )
| friend

operator <<

## Member Data Documentation

## ◆ m_backgroundColor

WPSColor WPSParagraph::m_backgroundColor

the background color

Referenced by addTo(), operator<<, DosWordParser::readPAP(), WPS8TextStyle::readParagraph(), XYWriteParserInternal::Format::updateParagraph(), and WPSParagraph().

## ◆ m_border

int WPSParagraph::m_border

list of bits to indicated a border 1: LeftBorderBit, 2: RightBorderBit, ...

Referenced by addTo(), operator<<, DosWordParser::readPAP(), WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), and WPSParagraph().

## ◆ m_borderStyle

WPSBorder WPSParagraph::m_borderStyle

the border style

Referenced by addTo(), operator<<, DosWordParser::readPAP(), WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), and WPSParagraph().

## ◆ m_breakStatus

int WPSParagraph::m_breakStatus

a list of bits: 0x1 (unbreakable), 0x2 (do not break after)

Referenced by addTo(), operator<<, DosWordParser::readPAP(), WPS4Text::readParagraph(), XYWriteParserInternal::Format::updateParagraph(), and WPSParagraph().

## ◆ m_extra

std::string WPSParagraph::m_extra

a string to store some errors

Referenced by operator<<, WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), and WPSParagraph().

## ◆ m_justify

libwps::Justification WPSParagraph::m_justify

the justification

Referenced by addTo(), operator<<, QuattroGraphInternal::SubDocument::parse(), DosWordParser::readPAP(), MSWriteParser::readPAP(), WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), Quattro9Graph::readTextboxStyle(), PocketWordParser::sendParagraph(), LotusGraph::sendTextBox(), XYWriteParserInternal::Format::updateParagraph(), and WPSParagraph().

## ◆ m_listLevel

ListLevel WPSParagraph::m_listLevel

the actual level

Referenced by addTo(), operator<<, WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), PocketWordParser::sendParagraph(), WPSContentListener::setParagraph(), and WPSParagraph().

## ◆ m_listLevelIndex

int WPSParagraph::m_listLevelIndex

the actual level index

Referenced by addTo(), operator<<, WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), PocketWordParser::sendParagraph(), WPSContentListener::setParagraph(), and WPSParagraph().

## ◆ m_margins

double WPSParagraph::m_margins[3]

the margins

- 0: first line left margin
- 1: left margin
- 2: right margin

Referenced by addTo(), MSWriteParser::getHeaderFooters(), operator<<, DosWordParser::readPAP(), MSWriteParser::readPAP(), WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), PocketWordParser::sendParagraph(), WPSContentListener::setParagraph(), XYWriteParserInternal::Format::updateParagraph(), and WPSParagraph().

## ◆ m_spacings

double WPSParagraph::m_spacings[3]

the line spacing

- 0: interline
- 1: before
- 2: after

Referenced by addTo(), operator<<, DosWordParser::readPAP(), WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), setInterline(), XYWriteParserInternal::Format::updateParagraph(), and WPSParagraph().

## ◆ m_spacingsInterlineType

LineSpacingType WPSParagraph::m_spacingsInterlineType

the interline type: fixed, atLeast, ...

Referenced by addTo(), operator<<, setInterline(), and WPSParagraph().

## ◆ m_spacingsInterlineUnit

librevenge::RVNGUnit WPSParagraph::m_spacingsInterlineUnit

the interline unit PERCENT or INCH, ...

Referenced by addTo(), operator<<, setInterline(), and WPSParagraph().

## ◆ m_tabs

std::vector<WPSTabStop> WPSParagraph::m_tabs

the tabulations

Referenced by addTo(), operator<<, DosWordParser::readPAP(), MSWriteParser::readPAP(), WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), XYWriteParserInternal::Format::updateParagraph(), and WPSParagraph().

The documentation for this struct was generated from the following files:

- WPSParagraph.h
- WPSParagraph.cpp